/*
 * The dialing directory structure.  The first eight elements are
 * contained in the pcomm.dial_dir file.
 */

#define NUM_DIR		100
#define NUM_QUEUE	10

struct DIAL_DIR {
	char	*name[NUM_DIR+1];	/* name of system being called */
	char	*number[NUM_DIR+1];	/* phone number */
	int	baud[NUM_DIR+1];	/* baud rate */
	char	parity[NUM_DIR+1];	/* parity */
	int	dbits[NUM_DIR+1];	/* data bits */
	int	sbits[NUM_DIR+1];	/* stop bits */
	char	duplex[NUM_DIR+1];	/* duplex (F = full, H = half) */
	char 	*index[NUM_DIR+1];	/* command line index (or tty) */

	int	d_entries;		/* number of entries in the file */
	int	d_cur;			/* the current entry */
	int	q_num[NUM_QUEUE];	/* entry numbers in the queue */
	char	q_ld[NUM_QUEUE];	/* LD codes in the queue */
};

#ifndef MAIN
extern struct DIAL_DIR *dir;
#endif /* MAIN */
